Loading...
Searching...
No Matches
timestamp.hpp

A 64-bit timestamp in milliseconds since the Unix epoch. More...

`#include "./duration.hpp"`
`#include <proton/type_compat.h>`
Include dependency graph for timestamp.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | timestamp
| A 64-bit timestamp in milliseconds since the Unix epoch. More...

## Namespaces

namespace | proton
| The main Proton namespace.

## Functions

std::ostream & | operator<< (std::ostream &, timestamp)
| Print a timestamp.
Comparison and arithmetic operators
bool | operator== (timestamp x, timestamp y)
bool | operator< (timestamp x, timestamp y)
timestamp | operator+ (timestamp ts, duration d)
timestamp | operator- (timestamp ts, duration d)
duration | operator- (timestamp t0, timestamp t1)
timestamp | operator+ (duration d, timestamp ts)

## Detailed Description

A 64-bit timestamp in milliseconds since the Unix epoch.